Bug 1118391 - mod_snmp MS Windows known issues
Summary: mod_snmp MS Windows known issues
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: JBoss Enterprise Web Server 2
Classification: JBoss
Component: httpd
Version: 2.1.0
Hardware: Unspecified
OS: Windows
unspecified
medium
Target Milestone: ---
: ---
Assignee: Mladen Turk
QA Contact: Libor Fuka
URL:
Whiteboard:
Depends On:
Blocks: 1114988 1118398
TreeView+ depends on / blocked
 
Reported: 2014-07-10 15:07 UTC by Libor Fuka
Modified: 2015-04-02 15:11 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
When using JBoss Enterprise Web Server, two unexpected problems occur. Firstly, the mod_snmp agent starts on the UDP:161 default port even if a configuration agentaddress 1610 is specified in <filename>snmpd.conf</filename>. Secondly, when httpd starts, no notice appears in the httpd error_log file. The expected error message starts with the following: <screen>[notice] SNMP: generic logger: Could not log error-info\n</screen> This is a known issue in JBoss Enterprise Web Server 2.1 and there is currently no workaround for this problem.
Clone Of:
Environment:
Last Closed: 2015-04-02 15:11:04 UTC
Type: Bug


Attachments (Terms of Use)
snmpd.conf (5.73 KB, text/plain)
2014-07-10 15:11 UTC, Libor Fuka
no flags Details
mod_snmp.conf for windows (268 bytes, text/plain)
2014-07-10 15:12 UTC, Libor Fuka
no flags Details

Description Libor Fuka 2014-07-10 15:07:19 UTC
Description of problem:
1. mod_snmp agent starts everytime on UDP:161 default port even if it has configuration agentaddress 1610 in snmpd.conf

2. There is notice in httpd error_log during httpd starting:
[notice] SNMP: generic logger: Could not log error-info\n


How reproducible:
everytime

Steps to Reproduce:
1. setup mod_snmp on windows - configs attched
2. httpd.exe -k install
3. httpd.exe -k start

Comment 1 Libor Fuka 2014-07-10 15:11:44 UTC
Created attachment 917136 [details]
snmpd.conf

Comment 2 Libor Fuka 2014-07-10 15:12:45 UTC
Created attachment 917137 [details]
mod_snmp.conf for windows

Comment 3 Jean-frederic Clere 2014-07-14 06:17:15 UTC
Is there anything in the error_Log?

Comment 4 Libor Fuka 2014-07-14 07:41:37 UTC
Nothing more than: [notice] SNMP: generic logger: Could not log error-info\n

Comment 5 Richa 2015-04-02 15:11:04 UTC
If anyone needs this fix can reopen this bug


Note You need to log in before you can comment on or make changes to this bug.